This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 90923 - Kernel freezes on ASUS A7V8X boards
Kernel freezes on ASUS A7V8X boards
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-15 09:36 EDT by Fernando Nasser
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fernando Nasser 2003-05-15 09:36:14 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.0) Gecko/20020607

Description of problem:
(it also happens on kernel-2.4.20-8)

This is a popular board (one of the latest ASUS model for Athlon CPUs).  IT
seems not to be a good board though: previous versions of the BIOS used to
sometimes lock Windows 2000 when it was booting).  From hearsay I've learned
that it may send a higher than specified voltage to the CPU and maybe drive the
memory at higher than expected speed -- but I don't have any means to verify
this claim.  It uses a VIA KT400 for the northbridge and a VIA VT8235 for the
southbridge.

USB is a VT8235 

Both me and a kernel hacker have a board like this and we were trying to debug
the problem when we had to give up on it.  The symptoms are as follows:

The machine freezes, there is no Oops message on the console (we connected it to
another machine terminal emulator), the system does not respond to any keyboard
input and I suspect not even to the nmi generated by a short pulse on the power
switch (the suspend command -- but my case is old and I would not take this as
final).

The problem seems to happen mostly when graphics are being displayed (I have an
ATI Radeon BTW, which works marvelously on my ASUS A7V333) which is consistent
with the former Windows 200 problem.  But I have updated the BIOS to the latest,
which ASUS claims contains a fix for that.

One way to reproduce the problem is to let the screen savers run or bring up X
Window and keep moving windows around.  I was told that the board seems to work
fine the first couple of days (I had this impression too) and then the problem
becaomes easily reproducible.  The sample is not large enough to confirm that
though (two boards between me and the kernel guy).

Ah, before I forget: after the crash, the machine, sometimes, do not recognize a
keyboard.  I switch keyboards and it sometimes solves the problem, sometimes
not.  Eventually it starts to accept input from the keyboard again (is time a
factor?  perhaps).

The CPU itself is not damaged by this, nor is the memory.  I have those
components now running on a previous ASUS model and I torture daily those parts
(the same to the Video cards and other components -- I just replaced the
motherboard).

Anyway, this seems to be a bad motherboard, but maybe someone wants to take a
closer look at this.

To everybody else: if you plan to run Linux do not buy the ASUS A7V8X (I have
may other ASUS boards and have had many for several years without any problems
whatsoever).

Version-Release number of selected component (if applicable):
kernel-2.4.20-9

How reproducible:
Always

Steps to Reproduce:
1.Install an ASUS A7V8X (I used an Athlon 1.7 with it)
2.Let the screen savers running overnight
3.Or keep moving windows around
    

Actual Results:  Machine freezes.  Really freezes!

Expected Results:  System stays up.

Additional info:

Keyboard sometimes does not work after the machine is rebooted (it seems to be
recognized though as the POST does not complain -- just the input from it seem
to be lost)
Comment 1 Stephen Lewis 2003-05-17 18:04:31 EDT
I've seen a similar problem on my ASUS A&V333-X motherboard with an XP2600+ CPU
and DDR333 memory. Turning the memory access rate down from 333 to about 320
(and the CPU down by a few tens of MHz to match) in the BIOS fixed the problem.
Tom's hardware guide reported that ASUS overclocks the memory on this board -
possibly the same problem on the A7V8X??

HTH

SL 
Comment 2 Bugzilla owner 2004-09-30 11:40:55 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.